BeeBridge AIBeeBridge AI
API Reference
Management APIManagement PAT integration and migration
⚠️Compliance notice: Use this project only for lawfully authorized API gateway, internal management, and private deployment scenarios. Follow upstream terms of service, platform rules, regulatory requirements, and content safety requirements.

Get grantable PAT permissions

Use the session access_token returned by password or OAuth sign-in. A PAT cannot manage or create PATs.

GET
/api/user/access_tokens/catalog
AuthorizationBearer <token>

Use the session access_token returned by password or OAuth sign-in. A PAT cannot manage or create PATs.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.beeaicloud.com/api/user/access_tokens/catalog"
{
  "success": true,
  "message": "string",
  "data": {
    "groups": [
      {
        "group": "string",
        "resources": [
          {
            "resource": "string",
            "label_key": "string",
            "actions": [
              {
                "action": "string",
                "label_key": "string",
                "description_key": "string"
              }
            ]
          }
        ]
      }
    ],
    "max_tokens": 0,
    "default_expiry_days": 0
  }
}
{
  "success": false,
  "message": "string",
  "code": "string",
  "data": {
    "code": "string"
  }
}
{
  "success": false,
  "message": "string",
  "code": "string",
  "data": {
    "code": "string"
  }
}
{
  "success": false,
  "message": "string",
  "code": "string",
  "data": {
    "code": "string"
  }
}
{
  "success": false,
  "message": "string",
  "code": "string",
  "data": {
    "code": "string"
  }
}

How is this guide?

Get grantable PAT permissions | BeeBridge AI